£1,179.41– £1,440.99
Compare 3 prices
Zyxel · Network Switch
Zyxel GS1350-12HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey price in United Kingdom
Model GS1350-12HPMPN GS1350-12HP-GB0101FEAN 4718937604395
- Noise27.3 dB
- Weight1.63 kg
- ColourGrey
- Switch typeManaged
Lowest price incl. delivery
£170.28
at PCHUB.UKFree deliveryIn stock
- 3 stores
- Range £170.28 – £208.99
- Save up to £38.71 vs. the dearest store
- 3 in stock
- 2 with free delivery
- Checked 6 Oct 2026, 05:40 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in United Kingdom
3 stores · prices in GBP · updated 6 Oct 2026, 05:40 UTC
Save up to £38.71 (19%) by choosing the cheapest store
- 3 of 3 stores in stock
- 2 with free shipping
- Checked 6 Oct 2026, 05:40 UTC
- PCHUB.UKLowest priceZyxel GS1350-12HP Managed L2 Gigabit Ethernet (10/100/1000) Power over In stockFree shipping£170.28incl. free shippingGo to store : PCHUB.UK (opens in a new tab)
- Back to the OfficeZyxel GS1350-12HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey In stockFree shipping£208.99incl. free shipping+£38.71 (23%) vs lowestGo to store : Back to the Office (opens in a new tab)
- PcNova.co.ukZyxel GS1350-12HP Managed L2 Gigabit Ethernet (10/100/1000) Power over In stockShipping not stated£170.28item price, shipping extraGo to store : PcNova.co.uk (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in United Kingdom
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- Zyxel
- Product
- GS1350-12HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
- Full name
- Zyxel GS1350-12HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
- Manufacturer part number
- GS1350-12HP-GB0101F
- EAN / UPC
- 4718937604395
- Category
- Network Switch
65 specifications from the manufacturer's data sheet
Management features
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Web-based management | Yes |
| Configuring Location Settings (CLI) | Yes |
| System event log | Yes |
| MIB support | RFC 1066, RFC 1213, 1157, RFC 1493, RFC 1643, RFC 1757, RFC 2011, 2012, 2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819, 2925, RFC 3621, RFC 4293, RFC 4292, RFC 4022, RFC 4113 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 10 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP module slots quantity | 2 |
Network
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1w, IEEE 802.3, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | No |
| Copper ethernet cabling technology | 10BASE-T, 100BASE-TX, 1000BASE-T |
| Port mirroring | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | MAC address-based VLAN, Port-based VLAN |
| Number of VLANs | 256 |
Optical fiber
| Fiber ethernet cabling technology | 1000BASE-X |
|---|
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Switching capacity | 24 Gbit/s |
| Forwarding rate | 17.8 Mpps |
| Packet buffer memory | 0.525 MB |
Security
| DHCP features | DHCP client, DHCP relay, DHCP snooping |
|---|---|
| IGMP proxy | Yes |
| IGMP snooping | Yes |
| Loop protection | Yes |
| MAC address filtering | Yes |
| Queue scheduling algorithms | SPQ, WFQ, Weighted Round Robin (WRR) |
| Security algorithms | SNMP, SNMPv3, SSH, SSL/TLS |
Multicast features
| Multicast support | Yes |
|---|
Design
| Rack mounting | Yes |
|---|---|
| Product colour | Grey |
| LED indicators | Yes |
| Electromagnetic compatibility | CE, FCC, C-Tick, A; BSMI CNS13438 |
Performance
| Firmware upgradeable | Yes |
|---|---|
| Noise level | 27.3 dB |
| Mean time between failures (MTBF) | 1065025.45 h |
Power
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 160.3 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | Yes |
|---|---|
| Power over Ethernet (PoE) ports quantity | 8 |
| Total Power over Ethernet (PoE) budget | 130 W |
Operational conditions
| Operating temperature (T-T) | -20 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 5 - 95% |
| Storage relative humidity (H-H) | 5 - 95% |
| Heat dissipation | 546.62 BTU/h |
Weight & dimensions
| Width | 267 mm |
|---|---|
| Depth | 162 mm |
| Height | 44 mm |
| Weight | 1.63 kg |
Packaging content
| Cables included | AC |
|---|---|
| Rack mount kit | Yes |
Packaging data
| Package width | 375 mm |
|---|---|
| Package depth | 235 mm |
| Package height | 81 mm |
| Package weight | 2.43 kg |
Certificates
| Certification | LVD EN62368-1, BSMI CNS14336-1, RoHS |
|---|
Logistics data
| Harmonized System (HS) code | 85176990 |
|---|
More network switches deals in United Kingdom
All network switches deals£919.02– £1,119.99
Compare 3 prices£121.90– £140.99
Compare 3 pricesQNAP
QSW-L2110-10T network switch Managed Desktop Black
Model QSW-L2110-10T
- Type
- Desktop
- Weight
- 690 g
- Colour
- Black
£189.95– £222.99
Compare 3 pricesQNAP
QSW-L2110-2S8T network switch Managed Desktop Black
Model QSW-L2110-2S8T
- Type
- Desktop
- Weight
- 630 g
- Colour
- Black
£134.06– £153.99
Compare 3 prices£1,567.66– £1,918.99
Compare 3 pricesTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
£58.99
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
£106.82– £129.99
Compare 3 prices






